extends ../base.jade

block title
  title Редактирование

block scripts
  script(src="//cdn.ckeditor.com/4.4.5/standard-all/ckeditor.js")

block vars
  - var page = 'edit'
  - var schema = [{name:'datetime',title:'Дата и время на которую будет записан клиент',type:'datetime',required: true},{name:'user_id',title:'Клиент',type:'select',select_type: 'single',ajax: '/user',required: true},{name: 'doctor_id',title:'Доктор',type:'select',select_type: 'single',ajax: '/doctor',required: true}]
  //- - var schema = [
  //-   {
  //-     name:'datetime',
  //-     title:'Дата и время на которую будет записан клиент',
  //-     type:'datetime',
  //-     required: true
  //-   },{
  //-     name:'user_id',
  //-     title:'Клиент',
  //-     type:'select',
  //-     select_type: 'single',
  //-     ajax: '/user',
  //-     required: true
  //-   },{
  //-     name: 'doctor_id',
  //-     title:'Доктор',
  //-     type:'select',
  //-     select_type: 'single',
  //-     ajax: '/doctor',
  //-     required: true
  //-   }
  //- ]

block main
  .PW.isle
    if action === 'create'
      if req.query
        - var from_request
        - req.query.user_id && (reception.user_id = req.query.user_id)
        - req.query.doctor_id && (reception.doctor_id = req.query.doctor_id)
        - req.query.datetime && (reception.datetime = req.query.datetime)
        - req.query.from_request && (from_request = req.query.from_request)
      h2 Новая запись
    else 
      form.to-right.mar-l1(method="POST", action= "/reception/#{reception.id}?_method=PUT&is_rejected=true")
        button.link Отменить
      form.to-right(method="POST", action= "/reception/#{reception.id}?_method=PUT&is_visited=true")
        button.link Посещено
      h2.mar-t0 Редактирование записи

    form(method="POST", action= "/reception"+(action === 'edit'? '/'+reception.id+'?_method=PUT' : '' ))
      //- input(type="hidden", name="_csrf", value= _csrf)
      if from_request
        input(type="hidden", name="from_request", value= from_request)
      != Html.edit_entity_form(reception, schema)
      button.connect(type="submit")= (action === 'create')? 'Создать' : 'Сохранить изменения'